2008-02-04  Dan Nicolaescu  <dann@ics.uci.edu>

	* README:
	* INSTALL: Only mention MacOSX.

        * cw6-mcp.xml:
        * make-package:
        * makefile.MPW:
        * inc/alloca.h:
        * inc/config.h:
        * inc/defs-cw6.h:
        * inc/dirent.h:
        * inc/epaths.h:
        * inc/grp.h:
        * inc/m-mac.h:
        * inc/pwd.h:
        * inc/s-mac.h:
        * inc/termio.h:
        * inc/utime.h:
        * inc/utsname.h:
        * inc/sys/file.h:
        * inc/sys/ioctl.h:
        * inc/sys/param.h:
        * inc/sys/stat.h:
        * inc/sys/time.h:
        * inc/sys/types.h:
        * src/EmacsMPW.r: Remove files for no longer supported pre-MacOSX
	systems.
	* inc: Remove directory.

2008-01-04  Glenn Morris  <rgm@gnu.org>

	* Emacs.app/Contents/Resources/English.lproj/InfoPlist.strings:
	* src/Emacs.r: Update copyright to 2008.

2007-11-24  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* INSTALL: Also build and run on Mac OS X 10.5.

2007-11-01  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* inc/config.h: Remove HAVE_X11R5.

2007-11-01  Dan Nicolaescu  <dann@ics.uci.edu>

	* makefile.MPW (SOME_MACHINE_OBJECTS): Remove sunfns.o.

2007-09-13  Seiji Zenitani  <zenitani@mac.com>
            Takanori Yamamoto  <takanori.yamamoto@gmail.com>
            Kentaro Ohkouchi  <nanasess@fsm.ne.jp>

	* Emacs.app/Contents/Info.plist: Add
	filetype/extension entries for the document icon.
	* Emacs.app/Contents/Resources/Emacs.icns: Update.
	* Emacs.app/Contents/Resources/document.icns: New file.

2007-08-29  Glenn Morris  <rgm@gnu.org>

	* Emacs.app/Contents/Resources/English.lproj/InfoPlist.strings:
	* src/Emacs.r: Increase version to 23.0.50.

2007-08-29  Karoly Lorentey  <lorentey@elte.hu>

	* makefile.MPW (EmacsObjects): Add terminal.c.x.
	(callproc.c.x): Add dependencies frame.h, termhooks.h.
	({Src}terminal.c.x): New.
	(shortlisp): Add server.elc and termdev.elc.

2007-07-25  Glenn Morris  <rgm@gnu.org>

	* Relicense all FSF files to GPLv3 or later.

	* COPYING: Switch to GPLv3.

2007-06-02  Chong Yidong  <cyd@stupidchicken.com>

	* Version 22.1 released.

2007-05-24  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* INSTALL: Add note about moving self-contained application bundle
	to non-ASCII directory.

2007-04-26  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* INSTALL: Fix description about using colors in terminal.
	Fix typos (/Application -> /Applications).

2007-04-26  Glenn Morris  <rgm@gnu.org>

	* Emacs.app/Contents/Resources/English.lproj/InfoPlist.strings:
	* src/Emacs.r: Increase version to 22.1.50.

2007-04-09  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* make-package (compver): Don't hardcode processor type.

2007-03-20  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* makefile.MPW (dired.c.x, editfns.c.x, fileio.c.x, lread.c.x)
	(print.c.x, term.c.x): Depend on BLOCKINPUT_H_GROUP.

2007-02-13  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* inc/config.h: Sync with src/config.in.

2007-01-30  Piet van Oostrum  <piet@cs.uu.nl>

	* make-package (compver): Install info and manpages.

2006-12-04  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* inc/config.h: Sync with src/config.in.

2006-11-24  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* INSTALL: Add descriptions about configuration and invocation.
	Capitalize `Carbon'.

2006-11-14  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* inc/config.h: Sync with src/config.in.

2006-11-08  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* INSTALL: Remove descriptions about --without-x.  Remove
	--without-carbon from configure options for X11 build.

2006-09-19  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* INSTALL: Remove descriptions about experimental flags.

	* inc/config.h: Sync with src/config.in.

	* src/Emacs.r (M_APPLE): New define.
	(MENU): Use it.

2006-09-15  Jay Belanger  <belanger@truman.edu>

	* COPYING: Replace "Library Public License" by "Lesser Public
	License" throughout.

2006-07-20  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* makefile.MPW (dired.c.x, editfns.c.x, fileio.c.x):
	Depend on blockinput.h.

2006-07-12  Kim F. Storm  <storm@cua.dk>

	* INSTALL: More cleanup related to last change.

2006-07-12  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* INSTALL: Remove descriptions about Metrowerks CodeWarrior.  Fix URL
	for GNU-fonts.smi.bin.  USE_ATSUI is enabled by default on Mac OS X.

	* README: Remove descriptions about Metrowerks CodeWarrior.

2006-05-19  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* makefile.MPW (SOME_MACHINE_LISP): Add fringe.elc.

2006-04-12  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* inc/config.h (pid_t): Define to int.

2006-02-10  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* makefile.MPW (shortlisp, SOME_MACHINE_LISP): Sync with
	src/Makefile.in.

2005-12-19  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* makefile.MPW (macselect.c.x): Depend on keymap.h.

2005-12-10  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* Emacs.app/Contents/Info.plist: Add CFBundleURLTypes key and
	data.  Make NSServices open-selection the first entry.

2005-11-09  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* makefile.MPW (shortlisp): Sync with src/Makefile.in.

2005-10-24  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* INSTALL: Replace `Mac OS 8/9' with `Mac OS Classic'.  Add
	`FIXME' to descriptions about Metrowerks CodeWarrior.  Remove
	obsolete description about 512MB limit and icon on Mac OS Classic.
	Add description about flags for experimental features.

	* README: Replace `Mac OS 8/9' with `Mac OS Classic'.  Add `FIXME'
	to descriptions about Metrowerks CodeWarrior.  Remove obsolete
	descriptions about C-g and supported image types.

2005-10-20  Bryan D. O'Connor  <bryan@lunch.org>  (tiny change)

	* make-package: Add a --compressed-dist option to compress info
	files and .el files that have been byte-compiled.  It defaults to "no".

2005-09-24  Eli Zaretskii  <eliz@gnu.org>

	* INSTALL (NOTES): Update the list of versions of MacOS on which
	Emacs should build.

	* README: Remove a link to ftp://ftp.gnu.org/gnu/mac/emacs/ (which
	does not exist).

2005-09-18  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* inc/config.h: Sync with src/config.in.

2005-07-12  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* Emacs.app/Contents/Info.plist (mail-to, mail-selection): New
	NSServices.

2005-07-04  Lute Kamstra  <lute@gnu.org>

	Update FSF's address in GPL notices.

2005-06-08  Steven Tamm  <steventamm@mac.com>

	* INSTALL: Explain that a universal binary cannot be created and
	builds for on emachine cannot be targeted to the other.
	* README: Add Universal Binary to the Todo List.

2005-05-13  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* makefile.MPW (buildobj.lst): New target.
	(Clean): Delete file buildobj.lst.
	(Emacs, {DocTarget}DOC): Depend on buildobj.lst.
	(EmacsSource, MacSource, LispSource, LispSourceDontCompile):
	Remove variables.
	(SOME_MACHINE_OBJECTS, shortlisp, SOME_MACHINE_LISP):
	New variables.
	({DocTarget}DOC): Use them.
	(Make-DocFile-PPCCOptions): Add `-d MAC_OS -d MAC_OS8'.

	* inc/config.h: Sync with src/config.in.
	(DO_BLOCK_INPUT, HAVE_DIFFTIME, HAVE_LOCALE_H, HAVE_MEMCMP)
	(HAVE_MEMCPY, HAVE_MEMMOVE, HAVE_MEMSET, HAVE_SETITIMER)
	(HAVE_SIZE_T, HAVE_SYS_IOCTL_H, HAVE_SYS_PARAM_H, HAVE_SYS_STAT_H)
	(HAVE_SYS_TYPES_H, TIME_WITH_SYS_TIME, SYNC_INPUT): Define them.
	[__MRC__] (HAVE_ALLOCA_H): Likewise.
	(config_machfile, config_opsysfile, my_strftime): New macros.
	(HAVE_PWD_H): Move from s-mac.h.
	(HAVE_ALLOCA, C_ALLOCA): Move from m-mac.h.
	(PTR): Move to s-mac.h.

	* inc/m-mac.h (HAVE_ALLOCA, C_ALLOCA): Move to config.h.

	* inc/s-mac.h: Sync with src/s/template.h.  Don't include fcntl.h,
	time.h, or signal.h.
	(index, rindex): New macros.
	[__MRC__] (sigmask, __signal_max, NSIG): Adjust signal numbers for
	compatibility with predefined ones.
	(PTR): Move from s-mac.h.
	(HAVE_PWD_H): Move to config.h.
	(volatile): Remove macro.
	[__MRC__] (strftime): Likewise.
	(read_input_waiting, sys_gmtime, sys_localtime, sys_ctime)
	(sys_time, sys_signal, atof): Remove declarations.

	* inc/sys/time.h (ITIMER_REAL): New macro.
	(struct itimerval): New struct.
	(setitimer): New extern.

2005-05-06  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* inc/config.h [HAVE_CARBON] (USE_TOOLKIT_SCROLL_BARS): Define.

2005-04-24  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* makefile.MPW (MacObjects): Add macselect.c.x.
	(macselect.c.x): New target.
	(mac.c): Fix dependency.

	* Emacs.app/Contents/Info.plist: Add NSServices key and data.

	* inc/s-mac.h (HAVE_PWD_H): Define.

2005-04-14  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* makefile.MPW (NonCarbonLibs): Add LocalesLib.  Delete
	TextEncodingConverter.

2005-04-06  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* Emacs.app/Contents/Resources/English.lproj/InfoPlist.strings
	(CFBundleShortVersionString, CFBundleGetInfoString): Fix version
	number and copyright.

	* Emacs.r (DITL, vers): Likewise.

2005-03-16  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* Emacs.app/Contents/Info.plist (CFBundleIdentifier): Change to
	org.gnu.Emacs.

2005-03-05  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* INSTALL: Mention new target `NonCarbon'.

2005-03-04  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* makefile.MPW (NonCarbon): New target.  The target `Emacs' is now
	used for the Carbon build that defines HAVE_CARBON.

	* inc/config.h (HAVE_STDLIB_H): Define to 1.

	* src/EmacsMPW.r (SIZE): Increase preferred memory size to 32MB.
	[HAVE_CARBON] (crfg): New resource for extra stack space.

2004-12-24  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* makefile.MPW: Add dependencies for fringe.c.x, image.c.x, and
	lastfile.c.x.
	(PPCCOptions): Add -alloca.
	(EmacsObjects): Remove alloca.c.x.  Add fringe.c.x, image.c.x, and
	lastfile.c.x.
	(Emacs MPW): Add QuickTimeLib.
	(EmacsSource): Remove alloca.c.  Add fringe.c, image.c, and
	lastfile.c.
	(LispSource): Fix pathnames for byte-run.elc, float-sup.elc, and
	map-ynp.elc.
	* inc/config.h (USE_LSB_TAG) [__MRC__]: Define.
	(UNEXEC_SRC): Close comment.
	* inc/epaths.h (PATH_BITMAPS, PATH_GAME): New defines.
	* inc/m-mac.h (HAVE_ALLOCA) [__MRC__]: Define.
	(C_ALLOCA) [__MRC__]: Don't define.
	* inc/s-mac.h (X_OK): New define.
	(DECL_ALIGN) [USE_LSB_TAG && __MRC__]: New macro.
	(GC_MARK_STACK): Define to GC_MAKE_GCPROS_NOOPS.

2004-05-29  Steven Tamm  <steventamm@mac.com>

	* INSTALL: Fixing typos
	* README: Updating list of TODOs to remove image support and
	environment variable problem.

2004-01-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* src/Emacs.r: Update TOO_MUCH_RAM error message.

2003-11-22  Lars Hansen  <larsh@math.ku.dk>

	* inc/grp.h: Added.

2003-11-02  Andrew Choi  <akochoi@shaw.ca>

	* src/Emacs.r [!TARGET_API_MAC_CARBON]: Don't define hfdr resource.
	* Emacs.app/Contents/Resources/Emacs.rsrc: Remove.

2003-10-31  Andrew Choi  <akochoi@shaw.ca>

	* INSTALL: Add Nozomu Ando's changes to instructions for
	installing on X Window (that static libraries are no longer
	necessary after his changes to src/unexmacosx.c).

2003-04-28  Andrew Choi  <akochoi@shaw.ca>

	* make-package: Allocate 5% extra space on disk image for
	directories and partition tables.

2003-04-04  Steven Tamm  <steventamm@mac.com>

	* make-package: Place libexec executables directly under the
	Contents/MacOS/libexec if the application is self-contained

2003-04-01  Kim F. Storm  <storm@cua.dk>

	* makefile.MPW (frame.c.x): Add dependency on BLOCKINPUT_H_GROUP.
	(xdisp.c.x): Fix to use BLOCKINPUT_H_GROUP.

2003-03-21  Kim F. Storm  <storm@cua.dk>

	* makefile.MPW (xdisp.c.x): Add dependency on blockinput.h and
	files included from it.  Add dependency on keymap.h.

2003-01-14  Steven Tamm  <steventamm@mac.com>

	* make-package: Fixed problem where the building without
	specifying build directory fails.

2003-01-07  Steven Tamm  <steventamm@mac.com>

	* INSTALL: Added documentation about --enable-carbon-app and
	changed documentation concerning Emacs.app location.
	Removed some of the documentation about make-package that isn't
	needed.
	Changed comment about requiring root permission to install to
	saying that it might be necessary depending on where you install.
	Refered to /usr caveat in more places.
	* make-package (make_options): Use new carbon_appdir option to
	specify directory to install Application and lets the makefile
	install.

2003-01-01  Steven Tamm  <steventamm@mac.com>

	* make-package: Now copies License and ReadMe files into the
	Resources directory.  Reduces overhead size when creating
	installer disk image.

2002-12-29  Steven Tamm  <steventamm@mac.com>

	* make-package: Defaults to building the source tree in a
	separate directory.  Use the new option --build-in-place to
	have old behavior.  Added new option --build-dir to specify the
	build directory.

2002-12-27  Steven Tamm  <steventamm@mac.com>

	* make-package: Fix typo where tmpparent was used instead of
	tempparent for calculating installedSize and compressedSize.

2002-12-10  Andreas Schwab  <schwab@suse.de>

	* make-package: Fix syntax for find.

2002-12-08  Steven Tamm  <steventamm@mac.com>

	* INSTALL: Added description about make-package.

	* make-package: Fixed --self-contained option to place the
	directories in the correct locations for
	init_mac_osx_environment and use hardlink by default for the
	application.  Script fails with invalid option.

2002-12-02  Andrew Choi  <akochoi@shaw.ca>

	* make-bin-dist, osx-install: Remove.

	* INSTALL: Remove description of make-bin-dist and osx-install.

2002-12-02  Steven Tamm  <steventamm@mac.com>

	* make-package (installprefix): Switched copying of .el files
	to be on by default.  Removed symlink for emacs -> emacs-version.

2002-11-30  Steven Tamm  <steventamm@mac.com>

	* make-package: Now compresses .pax file instead of entire disk
	image to reduce installer size on disk.  Also added code to
	create compressed disk image in the future.

	No longer copies .el files that have been compiled by default.
	Use --full-dist option to include them.

	Option --symlink added to reduce disk size by making
	/usr/bin/emacs and the Emacs binary inside the Emacs.app to become
	symlinks to the emacs-[version] binary.

	Option --self-contained added to place files shared files
	inside the Emacs.app executable (for portability between systems)

	Added hidden debugging option --keep-dir to keep temporary install
	directory (emacs-[version]) around after running script

	* README: Removed comment about mouse-2 & -3 not working (it does).

2002-10-14  Andreas Schwab  <schwab@suse.de>

	* make-package: Fix syntax for find.

2002-10-08  Steven Tamm  <steventamm@mac.com>

	* make-package: Added ability to pass command line options
	through to make and configure (-m, & -c,).
	Added option to not copy Application into installer, the default
	for X11 builds.  Does not copy CVS directories into installer.
	Clarified some of the usage notes.

2002-10-07  Steven Tamm  <steventamm@mac.com>

	* make-package: Now calls make bootstrap if .elc files are missing.

2002-08-27  Andrew Choi  <akochoi@shaw.ca>

	* INSTALL: Add information on starting Emacs as a GUI application
	from the terminal.

2002-08-15  Andrew Choi  <akochoi@shaw.ca>

	* INSTALL: Add instructions for building Carbon version on Macs
	with X Window installed.

2002-07-31  Andrew Choi  <akochoi@shaw.ca>

	* Emacs.app/Contents/PkgInfo, Emacs.app/Contents/Info.plist:
	Change creator code from ???? to EMAx.

	* INSTALL: Add instructions for building X Window version.

2002-07-11  Andrew Choi  <akochoi@shaw.ca>

	* make-package: Change -a option to -R for cp command.

2002-07-05  Andrew Choi  <akochoi@shaw.ca>

	* make-package: Add ability to handle options --help, --prefix,
	--no-conf, and --with-x.

2002-07-04  Andrew Choi  <akochoi@shaw.ca>

	* make-package: New file.

2002-07-01  Andrew Choi  <akochoi@shaw.ca>

	* Emacs.app/Contents/Resources/Emacs.icns: New file.

	* Emacs.app/Contents/Info.plist: Add CFBundleDocumentTypes and
	CFBundleIconFile entries.

2002-04-13  Andrew Choi  <akochoi@shaw.ca>

	* Emacs.app/Contents/Info.plist: New file.

	* Emacs.app/Contents/PkgInfo: New file.

	* Emacs.app/Contents/Resources/English.lproj/InfoPlist.strings:
	New file.

	* cw5-mcp.xml: Remove file.

	* inc/defs-cw5.h: Remove file.

	* cw6-mcp.xml: Update with new version.

	* mac/inc/defs-cw6.h: New constant MAC_OS8.  Remove definition
	of constant CODEWARRIOR_VERSION_6.

	* mac/src/mac.c:
	* mac/src/macmenu.c:
	* mac/src/macterm.c:
	Test constant __MSL__ instead of CODEWARRIOR_VERSION_6.

	* src/Carbon.r: New File.

	* makefile.MPW: Define MAC_OS and MAC_OS8.  Update with change of
	locations for mac.c, macfns.c, macgui.h, macmenu.c, macterm.c, and
	macterm.h.  Generate DOC from .el instead of .elc versions of
	files listed in DONTCOMPILE in lisp/Makefile.in.

	* INSTALL: Add installation instructions for Mac OS X.

	* README: Add information for Mac OS X.

	* src/mac.c, inc/macgui.h, src/macfns.c, src/macmenu.c,
	* src/macterm.c, inc/macterm.h: Remove from here and move to src.

2002-04-12  Andrew Choi  <akochoi@shaw.ca>

	* src/mac.c (select): Under Carbon, always return true so
	XTread_socket is called to poll input.
	(run_mac_command): Not implemented under Carbon.
	(get_wd): Call PBHGetVolSync and path_from_vol_dir_name to
	establish pathname.
	(do_applescript): Use Carbon routines AEGetDescDatASize and
	AEGetDescData.
	(Fmac_paste_function): Use Carbon routines GetCurrentScrap,
	GetScrapFlavorFlags, GetScrapFlavorSize, and GetScrapFlavorData.
	(Fmac_cut_function): Use Carbon routines ClearCurrentScrap,
	GetCurrentScrap, and PutScrapFlavor.
	(Fx_selection_exists_p): Use Carbon routines GetCurrentScrap and
	GetScrapFlavorFlags.

	* src/macfns.c: Synchronize with changes in w32fns.c.
	[MAC_OSX]: Include Carbon headers.
	(x_real_positions): Use Carbon routine GetWindowPortBounds.
	(x_set_scroll_bar_width): Set width of scroll bar to 16.
	(x_make_gc): Remove static qualifier.

	* src/macmenu.c: Synchronize with changes in w32menu.c.
	[MAC_OSX]: Include Carbon headers.
	(set_frame_menubar): Check equality of vector representation of
	scroll bars using Fequal instead of EQ.
	(mac_menu_show): Use Carbon routine GetWindowPort.
	(mac_dialog): Likewise.
	(add_menu_item): Use Carbon routines CountMenuItems,
	EnableMenuItem, and DisableMenuItem.

	* src/macterm.c: Synchronize with changes in w32term.c.
	[MAC_OSX]: Include Carbon headers.
	(XDrawLine): Use Carbon routine GetWindowPort.
	(XClearArea): Likewise.
	(XClearWindow): Use Carbon routines GetWindowPort and
	GetWindowPortBounds.
	(mac_draw_bitmap): Use Carbon routines GetWindowPort and
	GetPortPixMap.
	(mac_set_clip_rectangle): Use Carbon routine GetWindowPort.
	(mac_reset_clipping): Use Carbon routine GetWindowPort.
	(XFillRectangle): Likewise.
	(mac_draw_rectangle): Likewise.
	(mac_draw_rectangle_to_pixmap): Likewise.
	(mac_draw_string_common): Likewise.
	(mac_copy_area): Use Carbon routines GetWindowPort and
	GetPortPixMap.
	(mac_scroll_area): Use Carbon routines GetWindowPort and
	GetQDGlobalsScreenBits.
	(x_flush): Call Carbon routine QDFlushPortBuffer.
	(x_update_end): Use Carbon routine GetWindowPort; call x_flush.
	(x_draw_fringe_bitmap): Call mac_reset_clipping before returning.
	(x_draw_image_glyph_string): Likewise.
	(x_draw_stretch_glyph_string): Likewise.
	(construct_mouse_click): Call Carbon routine GetWindowPort.
	(note_mouse_movement): Call Carbon routine GetWindowPortBounds.
	(XTmouse_position): Call Carbon routine GetWindowPort.
	(x_scroll_bar_create): Create scroll bar with proc
	kControlScrollBarProc.
	(XTset_vertical_scroll_bar) [MAC_OSX]: Set width to 16.
	(activate_scroll_bar): Call ActivateControl instead of
	SetControlMaximum.
	(deactivate_scroll_bar): Call DeactivateControl instead of
	SetControlMaximum.
	(x_scroll_bar_handle_click): Use default case for scroll
	indicator.
	(x_scroll_bar_report_motion): Call Carbon routine GetWindowPort.
	(x_calc_absolute_position): Call Carbon routines GetWindowPort and
	GetWindowPortBounds.
	(init_font_name_table): Call Carbon Font Manager routines to
	iterate through all fonts.
	(XLoadQueryFont): Call Carbon routines GetPortTextFont,
	GetPortTextSize, and GetPortTextFace.
	(do_init_managers): Do not initialize Mac Toolbox under Carbon.
	(is_emacs_window): New function to filter out non-Emacs windows
	passed back by WaitNextEvent.
	(do_mouse_moved): Call Carbon routine GetWindowPort.
	(do_apple_menu): No apple menu handler under Carbon.
	(do_zoom_window): Call Carbon routines GetWindowPort,
	GetQDGlobalsScreenBits, SetWindowStandardState, and
	GetWindowPortBounds.
	(init_required_apple_events): Use UPP procedure type converter.
	(main): Don't define for Carbon version.
	(XTread_socket): Don't check interrupt_input_blocked.  Don't call
	check_alarm.  Call Carbon routines GetWindowPort,
	GetQDGlobalScreenBits, GetWindowPortBounds, and InvalWindowRect.
	(NewMacWindow): Set making_terminal_window to 0.  Call Carbon
	routine GetWindowPort.
	(mac_initialize): Rename from x_initialize.  Use new Doc string
	format.

	* inc/macterm.h: Synchronize with changes in w32term.h.

	* inc/macgui.h [MAC_OSX]: Use OpaqueWindowPtr* instead of
	WindowPtr.

2002-01-28  Kim F. Storm  <storm@cua.dk>

	* src/macterm.c (x_erase_phys_cursor): Don't erase cursor if
	cursor row is invisible.  This can happen if cursor is on top line
	of a window, and we switch to a buffer with a header line.

2001-12-22  Pavel Jan,Am(Bk  <Pavel@Janik.cz>

	* cw5-mcp.xml, cw6-mcp.xml, makefile.MPW: Remove mocklisp files.

2001-12-13  Eli Zaretskii  <eliz@is.elta.co.il>

	* src/macfns.c (x_report_frame_params): Make the scroll-bar-width
	frame parameter have a numeric value all the time.

2001-12-08  Pavel Jan,Am(Bk  <Pavel@Janik.cz>

	* COPYING: New file.

2001-12-06  Kim F. Storm  <storm@cua.dk>

	* src/macfns.c (x_report_frame_params): Return actual fringe widths.

2001-12-01  Kim F. Storm  <storm@cua.dk>

	The following changes add left-fringe and right-fringe
	frame parameters to adjust fringe widths, or remove one or
	both fringes.  See ../src/ChangeLog for details.

	* inc/macterm.h: Merged changes from xterm.h.
	* src/macterm.c: Merged changes from xterm.c.
	* src/macfns.c: Merged changes from xfns.c.

2001-11-16  Pavel Jan,Am(Bk  <Pavel@Janik.cz>

	* src/macterm.c (waiting_for_input): Remove unnecessary declaration.

2001-11-16  Kim F. Storm  <storm@cua.dk>

	The following changes are made to clean up the various internal
	references to the fringes to actually use the term `fringe'.

	* src/macfns.c: Use renamed symbols.

	* src/macterm.c: Comment fixes.  Use renamed symbols.
	(fringe_bitmap_type): Renamed from bitmap_type.
	(NO_FRINGE_BITMAP): Renamed from NO_BITMAP.
	(x_draw_fringe_bitmap): Renamed from x_draw_bitmap.
	(x_draw_row_fringe_bitmaps): Renamed from x_draw_row_bitmaps.

	* inc/macterm.h: Comment fixes.  Use renamed symbols.
	(fringes_extra): Renamed from flags_areas_extra.
	(FRAME_FRINGE_BITMAP_WIDTH): Renamed from FRAME_FLAGS_BITMAP_WIDTH.
	(FRAME_FRINGE_BITMAP_HEIGHT): Renamed from FRAME_FLAGS_BITMAP_HEIGHT.
	(FRAME_X_FRINGE_COLS): Renamed from FRAME_X_FLAGS_AREA_COLS.
	(FRAME_X_FRINGE_WIDTH): Renamed from FRAME_X_FLAGS_AREA_WIDTH.
	(FRAME_X_LEFT_FRINGE_WIDTH): Renamed from FRAME_X_LEFT_FLAGS_AREA_WIDTH.
	(FRAME_X_RIGHT_FRINGE_WIDTH): Renamed from FRAME_X_RIGHT_FLAGS_AREA_WIDTH.

2001-10-20  Gerd Moellmann  <gerd@gnu.org>

	* (Version 21.1 released.)

2001-10-11  Stefan Monnier  <monnier@cs.yale.edu>

	* src/macfns.c (x_create_bitmap_from_file, x_find_image_file):
	* src/mac.c (run_mac_command): Update calls to openp.

2001-10-08  Stefan Monnier  <monnier@cs.yale.edu>

	* src/macmenu.c (Fx_popup_menu): Use Fkeymap_prompt.

	* src/macterm.c: Include keymap.h.
	(note_mode_line_highlight): Use KEYMAPP.

2001-10-05  Gerd Moellmann  <gerd@gnu.org>

	* Branch for 21.1.

2001-09-04  Andrew Choi  <akochoi@cse.cuhk.edu.hk>

	* src/macmenu.c (mac_menu_show): Use refcon of selected menu item.

	* src/macterm.c (XTread_socket): Read all pending events in the
	event queue instead of one.
	(mac_to_x_fontname): Return name with jisx0201.1976-0 encoding if
	a script code of -smJapanese is specified.
	(x_font_name_to_mac_font_name): Also recognize the jisx0201.1976-0
	encoding.
	(init_font_name_table): Use a script code of -smJapanese instead
	of smRoman for the second entry of a Japanese font.
	(XLoadQueryFont): Recognize a font as having the smRoman script
	code if its encoding is jisx0201.1976-0.

	* makefile.MPW: Generate etc/DOC file from .elc files instead of
	.el files.

	* src/mac.c (stat): Don't fail for aliases.
	(sys_open) [__MRC__]: Set file creator and type for newly-created
	files.
	(sleep) [__MRC__]: Place loop around WaitNextEvent to check time
	elapsed instead of use WaitNextEvent call as a delay.

2001-08-24  Andrew Choi  <akochoi@cse.cuhk.edu.hk>

	* src/macterm.c (init_font_name_table): Add an additional entry to
	the font table with the script code smRoman for each Apple
	Japanese font.
	(XLoadQueryFont): Recognize a font as having the smRoman script
	code even when FontToScript returns smJapanese if it is one of
	those created above.

2001-08-21  Andrew Choi  <akochoi@cse.cuhk.edu.hk>

	* INSTALL: Add to the note on using -opt speed in MPW the function
	macterm.c (x_draw_hollow_cursor).

	* src/macterm.c (mac_scroll_area): Call CopyBits with local
	coordinates and portBits instead of global coordinates and
	screenBits.  Set fore color and back color to black and white,
	respectively, before calling CopyBits.

	* src/macterm.c (local_to_global_coord): Comment out.

	* src/mac.c (mac-filename-to-unix): Change to
	mac-file-name-to-posix.
	(unix-filename-to-mac): Change to posix-file-name-to-mac.
	(mac_to_unix_pathname): Change to mac_to_posix_pathname.
	(unix_to_mac_pathname): Change to posix_to_mac_pathname.

	* src/macterm.c (do_ae_open_documents): Change call to
	mac_to_unix_pathname to mac_to_posix_pathname.

2001-07-26  Andrew Choi  <akochoi@i-cable.com>

	* inc/macterm.h (x_display_list): Declare extern.

2001-07-20  Pavel Jan,Am(Bk  <Pavel@Janik.cz>

	* src/macterm.c (xim_open_dpy): Fix typo.

2001-06-26  Andrew Choi  <akochoi@i-cable.com>

	* README: Change references to SourceForge site to
	ftp://ftp.gnu.org/gnu/mac/emacs/.

2001-05-15  Gerd Moellmann  <gerd@gnu.org>

	* src/macterm.c (clear_mouse_face): Check for nil tip_frame.

2001-05-15  Andrew Choi  <akochoi@i-cable.com>

	* src/Emacs.r: Change About box message.

	* makefile.MPW: Add md5.c.x to EmacsObjects.

	* src/mac.c (select): Call WaitNextEvent instead of Delay.
	(pause): Ditto.
	(sleep): Ditto.

	* src/macterm.c (do_app_resume): Set cursor to arrow.
	(clear_mouse_face): check for NIL Lisp object instead of null
	pointer.

	* INSTALL: Delete note on compiling Lisp files on a Unix system.
	Add note on turning off end of line conversion.

2001-02-27  Andrew Choi  <akochoi@i-cable.com>

	* src/macfns.c: Rename everything containing *busy_cursor* and
	similar to *hourglass*.
	Change IMAGE_POSITIVE_INTEGER_VALUE to
	IMAGE_POSITIVE_INTEGER_VALUE_OR_PAIR throughout.
	(x_set_font): If font hasn't changed, avoid recomputing faces and
	other things, as in xfns.c.
	(Qcancel_timer): New variable.
	(syms_of_macfns): Rename x-busy-pointer-shape to
	x-hourglass-pointer-shape, display-busy-cursor to
	display-hourglass, busy-cursor-delay to hourglass-delay, as in
	xfns.c.
	(x_set_tool_bar_lines): Modify as in xfns.c
	(x_change_window_heights): New function.

	* inc/macterm.h (struct x_output): Rename busy_cursor to
	hourglass_cursor, busy_window to hourglass_window, busy_p to
	hourglass_p, as in xterm.h.

	* src/macmenu.c (set_frame_menubar): Run activate-menu-bar-hook with
	safe_run_hooks, as in xmenu.c.

	* src/macterm.c (do_check_ram_size): New function.

	* src/Emacs.r: Add ALRT resource #129 for alert when there is over
	256 MB RAM.

2001-02-20  Andrew Choi  <akochoi@i-cable.com>

	* mac/INSTALL:
	* mac/README:
	* mac/cw5-mcp.xml:
	* mac/cw6-mcp.xml:
	* mac/inc/alloca.h:
	* mac/inc/defs-cw5.h:
	* mac/inc/defs-cw6.h: Added copyright notice.

2001-01-28  Andrew Choi  <akochoi@i-cable.com>

	* src/macterm.c (mac_font_pattern_match): Allocate three more
	bytes to regex for '^', '$', and '\0'.

	* src/macterm.c (x_list_fonts): Protect pattern and newlist from
	garbage collection.

	* src/macfns.c (QCconversion): Replaces QCalgorithm.

	* src/macfns.c (image_ascent, lookup_image): Adapt to change of
	image margins.

	* src/macterm.c (x_produce_image_glyph, x_draw_image_foreground)
	(x_draw_image_relief, x_draw_image_foreground_1)
	(x_draw_image_glyph_string): Adapt to change of image margins.

	* src/macterm.c (mac_to_x_fontname): Change charset name of
	Simplify Chinese fonts from gb2312 to gb2312.1980 and Korean fonts
	from ksc5601 to ksc5601.1989.

2000-12-12  Andrew Choi  <akochoi@i-cable.com>

	* cw5-mcp.xml: Add md5.c to project.

	* cw6-mcp.xml: Add md5.c to project.

	* src/macfns.c (x_create_tip_frame, Fx_hide_tip): Change to handle
	Lisp_Object type tip_frame (was struct frame *) as in xfns.c.

2000-11-26  Andrew Choi  <akochoi@i-cable.com>

	* src/macterm.c (x_handle_tool_bar_click, note_tool_bar_highlight):
	Change references to members deleted from struct frame as in xterm.c.

	* inc/epaths.h: Set PATH_EXEC to ~emacs/mac instead of
	~emacs/mac/bin.

2000-10-25  Andrew Choi  <akochoi@i-cable.com>

	* cw5-mcp.xml: Renamed from emacs-cw5.mcp.xml.

	* cw6-mcp.xml: Renamed from emacs-cw6.mcp.xml.

	* inc/defs-cw5.h: Renamed from inc/cmdline-defs-cw5.h.

	* inc/defs-cw6.h: Renamed from inc/cmdline-defs-cw6.h.

2000-10-24  Andrew Choi  <akochoi@i-cable.com>

	* src/macterm.c (XTread_socket): Check whether Lisp variable
	mac-ready-for-drag-n-drop is bound rather than non-nil value.

2000-10-20  Andrew Choi  <akochoi@users.sourceforge.net>

	* INSTALL: New file.

	* README: New file.

	* TODO: New file.

	* emacs-cw5.mcp.xml: New file.

	* emacs-cw6.mcp.xml: New file.

	* makefile.MPW: New file.

	* inc/alloca.h: New file.

	* inc/cmdline-defs-cw5.h: New file.

	* inc/cmdline-defs-cw6.h: New file.

	* inc/config.h: New file.

	* inc/dirent.h: New file.

	* inc/epaths.h: New file.

	* inc/m-mac.h: New file.

	* inc/macgui.h: New file.

	* inc/macterm.h: New file.

	* inc/pwd.h: New file.

	* inc/s-mac.h: New file.

	* inc/termio.h: New file.

	* inc/utime.h: New file.

	* inc/utsname.h: New file.

	* inc/sys/file.h: New file.

	* inc/sys/ioctl.h: New file.

	* inc/sys/param.h: New file.

	* inc/sys/stat.h: New file.

	* inc/sys/time.h: New file.

	* inc/sys/types.h: New file.

	* src/Emacs.r: New file.

	* src/EmacsMPW.r: New file.

	* src/chdir.c: New file.

	* src/mac.c: New file.

	* src/macfns.c: New file.

	* src/macmenu.c: New file.

	* src/macterm.c: New file.

;; Local Variables:
;; coding: iso-2022-7bit
;; add-log-time-zone-rule: t
;; End:

    Copyright (C) 2001, 2002, 2003, 2004, 2005,
	2006, 2007, 2008 Free Software Foundation, Inc.

  This file is part of GNU Emacs.

  GNU Emacs is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 3, or (at your option)
  any later version.

  GNU Emacs is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with GNU Emacs; see the file COPYING.  If not, write to the
  Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
  Boston, MA 02110-1301, USA.

;;; arch-tag: c6fd43f7-0e50-4c0a-ac82-1c8a9e45a9bf
